package com.jqtx.windows.command;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.jqtx.windows.common.factory.AbstractCommand;
import com.jqtx.windows.common.factory.RuntimeContextHolder;
import com.jqtx.windows.component.enums.ZNPostUrlEnum;
import com.jqtx.windows.utils.AbcHttpClient;
import com.jqtx.windows.web.response.JsonResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


@Service
@Slf4j
public class CreditThirdDataQueryCommand extends AbstractCommand {
    @Autowired
    private AbcHttpClient abcHttpClient;

    @Override
    public JsonResult execute() {
        String request = RuntimeContextHolder.currentRuntimeContext().getRequestBody();
        JSONObject loanSubmitResponse = JSON.parseObject(request, JSONObject.class);
        return  JsonResult.success(abcHttpClient.postRequest(loanSubmitResponse.toJSONString(), ZNPostUrlEnum.CREDIT_QUERY.getCode()));
    }
}
